Qué hace
Esta herramienta comprueba si las direcciones de correo electrónico están bien escritas. Pega una dirección o una lista entera y cada una se marca como válida o no válida con el motivo, como que falte la @, haya dos puntos seguidos, el dominio no tenga punto o haya un carácter no permitido. Es útil para limpiar una lista de correo antes de importarla, comprobar las reglas de un campo de formulario o encontrar la única fila rota de una exportación CSV.
Solo comprueba el formato. No contacta con ningún servidor de correo, así que no puede saber si el buzón existe o acepta correo.
Cómo se usa
- Pega las direcciones en el cuadro de entrada, una por línea. Las comas y los puntos y coma también sirven como separadores, así que puedes pegar directamente una línea Para:.
- Los resultados aparecen mientras escribes, con un resumen de cuántas direcciones son válidas y cuántas no.
- Usa Mostrar para listar todas, solo las válidas o solo las no válidas. Eliminar duplicados quita las repetidas; el dominio se compara sin distinguir mayúsculas y minúsculas.
- Pulsa Copiar válidas para copiar la lista limpia, una dirección por línea.
También se tratan los nombres visibles: Bob Smith <bob@example.com> se comprueba como bob@example.com, con una nota de que se eliminó el nombre.
Qué se comprueba
- Exactamente una
@(fuera de comillas), con algo a ambos lados. - La dirección completa tiene como máximo 254 caracteres y la parte antes de la
@como máximo 64. - La parte local usa caracteres permitidos, sin puntos al principio, al final ni duplicados. Las partes locales entre comillas como
"john doe"@example.orgse permiten con una advertencia. - El dominio tiene al menos dos etiquetas, cada una de 1 a 63 caracteres entre letras, dígitos y guiones, que no empiezan ni terminan con guion, y un dominio de nivel superior con aspecto real. Los literales IP como
admin@[192.168.0.1]se permiten con una advertencia. - Las erratas habituales en dominios populares, como
gmial.comoqq.con, reciben una sugerencia de “¿Quisiste decir…?”.
Ejemplo
alice@example.com valid
lisi@gmial.com valid, did you mean lisi@gmail.com?
two@@example.com invalid: more than one @
user@localhost invalid: domain needs a dot
用户@例子.中国 valid, internationalized address Preguntas frecuentes
› ¿Comprueba si el buzón existe?
No. Es solo una comprobación de sintaxis. No consulta los servidores de correo del dominio ni contacta con ellos, así que una dirección puede pasar aquí y aun así rebotar. Confirmar un buzón requiere un servidor, y la única prueba fiable es enviar un correo de confirmación.
› ¿Se suben las direcciones?
No. Todas las comprobaciones se hacen en tu navegador, así que tus listas de correo nunca salen de tu dispositivo.
› ¿Qué reglas sigue?
La sintaxis de direcciones de la RFC 5321 y la RFC 5322, además de las direcciones internacionalizadas de la RFC 6531. Las formas obsoletas, como los comentarios dentro de las direcciones, se rechazan porque casi ningún sistema de correo las acepta.
› ¿Por qué una dirección válida aparece con una advertencia?
Algunas direcciones son legales pero arriesgadas: una probable errata como gmial.com, una dirección IP en lugar de un dominio, una parte local entre comillas o caracteres no ASCII que algunos servidores rechazan. La dirección sigue contando como válida.